com.google.cloud.dataflow.examples.complete.game.utils

## Class WriteWindowedToBigQuery<T>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.PTransform<PCollection<T>,PDone>
  - - com.google.cloud.dataflow.examples.complete.game.utils.WriteToBigQuery<T>
    - - com.google.cloud.dataflow.examples.complete.game.utils.WriteWindowedToBigQuery<T>

All Implemented Interfaces:
  HasDisplayData, Serializable

    public class WriteWindowedToBigQuery<T>
    extends WriteToBigQuery<T>

Generate, format, and write BigQuery table row information. Subclasses `WriteToBigQuery` to require windowing; so this subclass may be used for writes that require access to the context's window information.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`protected class` `WriteWindowedToBigQuery.BuildRowFn` Convert each key/score pair into a BigQuery TableRow.

### Nested classes/interfaces inherited from class com.google.cloud.dataflow.examples.complete.game.utils.WriteToBigQuery

`WriteToBigQuery.FieldInfo<T>`

### Field Summary

### Fields inherited from class com.google.cloud.dataflow.examples.complete.game.utils.WriteToBigQuery

`fieldInfo, tableName`

### Fields inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`name`

### Constructor Summary

Constructors
Constructor and Description
`WriteWindowedToBigQuery(String tableName, Map<String,WriteToBigQuery.FieldInfo<T>> fieldInfo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PDone` `apply(PCollection<T> teamAndScore)`

### Methods inherited from class com.google.cloud.dataflow.examples.complete.game.utils.WriteToBigQuery

`getSchema`

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`getDefaultOutputCoder, getDefaultOutputCoder, getDefaultOutputCoder, getKindString, getName, populateDisplayData, toString, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WriteWindowedToBigQuery

    public WriteWindowedToBigQuery(String tableName,
                                   Map<String,WriteToBigQuery.FieldInfo<T>> fieldInfo)

### Method Detail

#### apply

    public PDone apply(PCollection<T> teamAndScore)

Overrides:
  `apply` in class `WriteToBigQuery<T>`